%define name dasher
%define version 4.11
%define release %mkrel 1
%define __libtoolize /bin/true

Summary: Graphical predictive text entry system
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Accessibility
URL: http://www.infer-ence.phy.cam.ac.uk/dasher/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libexpat1-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libwnck-devel >= 2.10.0
BuildRequires: gnome-speech-devel
BuildRequires: at-spi-devel
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils libxslt-proc
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
Requires:	libexpat1
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description 
Dasher is an information-efficient text-entry interface, driven by natural 
continuous pointing gestures. Dasher is a  competitive  text-entry
system wherever a full-size keyboard cannot be used.

%prep
%setup -q

%build

%configure2_5x 

%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
rm -rf %buildroot/var/lib/scrollkeeper

%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done


desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot%_miconsdir
install -m 644 -D Data/%name.png %buildroot%_liconsdir/%name.png
convert -scale 32 Data/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 Data/%name.png %buildroot%_miconsdir/%name.png

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{update_desktop_database}
%post_install_gconf_schemas dasher

%preun
%preun_uninstall_gconf_schemas dasher

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_desktop_database}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/%name.schemas
%{_bindir}/*
%{_datadir}/applications/%name.desktop
%{_datadir}/dasher
%_datadir/icons/hicolor/scalable/apps/%name.svg
%_datadir/icons/hicolor/48x48/apps/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png
%{_mandir}/man1/*
%{_datadir}/omf/dasher/%name-C.omf
%{_datadir}/omf/%name/%name-en_GB.omf

%changelog
* Sat Mar 13 2010 slick50 <lxgator@gmail.com> 4.11-1pclos2010
- 4.11

* Tue Apr 28 2009 slick50 <lxgator@gmail.com> 4.10.1-1pclos2009
- 4.10.1

* Fri Oct 24 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 4.9.0-1pclos2007
- New version 4.9.0

* Fri Nov 30 2007 Texstar <texstar@gmail.com> 4.7.0-1pclos2007
- 4.7.0

* Sun Sep 09 2007 Texstar <texstar@gmail.com> 4.4.2-1pclos2007
- 4.4.2

* Sun Sep 09 2007 Texstar <texstar@gmail.com> 4.4.0-1pclos2007
- 4.4.0

* Tue Aug 07 2007 Texstar <texstar@gmail.com> 4.2.0-3
- rebuild against updated libexpat1

* Fri Nov 10 2006 Texstar <texstar@houston.rr.com> 4.2.0-2pclos2007
- Build for PCLinuxOS 2007

